none
ERROR When change compatibility level 2014 to compatibility level 2016 on SSDT 2015 RRS feed

  • Dotaz

  • Hallo Guys

    I really need help, i have problem when change compatibilily level tabular model from 2014 to 2016 RTM

    detail error is > tabular databases do not support compatibility level downgrade, but server destination already SQL Server 2016

    do you guys have idea ?


    středa 2. listopadu 2016 3:23

Všechny reakce

  • Hi Yori setriadi,

    I have tried to change tabular model compatibility level from 2014 to 2016 RTM in SSDT 2015, it works fine for me. After changing to 2016 RTM, compatibility level cannot be downgraded.

    If your tabular model works fine before upgrading compatibility level, please  fully uninstall and reinstall SSDT 2015, and try upgrading again.

    Best regards,


    Willson Yuan

    pátek 4. listopadu 2016 7:19
    Moderátor
  • Do not use a backup SQL 2014 cube and restore, I ran into an issue myself with this. 

    Basically upgrade using SSDT (BIDS). 

    Change the workspace server to SQL 2016 and then reopen and change the compatibility level to 2016 there...it should prompt to upgrade the cube. 

    Then recheck all tables include partitions and redeploy again. 


    Micatio Software Free IIS Azure Web Log App

    pátek 4. listopadu 2016 10:33